﻿Imports C1.WPF.C1Chart
Imports System.Windows.Media.Animation
Imports C1.WPF.Theming

Class MainWindow

    Dim rnd = New Random()

    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        Application.Current.Resources.MergedDictionaries.
    Add(C1Theme.GetCurrentThemeResources(New C1.WPF.Theming.Office2010.C1ThemeOffice2010Blue()))
    End Sub

    Private Sub chart_MouseLeftButtonDown_1(sender As Object, e As MouseButtonEventArgs)
        chart.Data.Children.Clear()
        'create chart data
        Dim vals = New Double(rnd.[Next](5, 10) - 1) {}
        For i As Integer = 0 To vals.Length - 1
            vals(i) = rnd.[Next](0, 100)
        Next
        chart.Data.Children.Add(New C1.WPF.C1Chart.DataSeries() With {.ValuesSource = vals})
        chart.View.AxisX.Min = -0.5
        chart.View.AxisX.Max = vals.Length - 0.5
        'handle the PlotElementLoaded event
        AddHandler chart.Data.Children(0).PlotElementLoaded, AddressOf MainWindow_PlotElementLoaded
    End Sub

    Private Sub chart_Loaded(sender As Object, e As RoutedEventArgs)
        'Create a new PlotElementAnimation object
        Dim animation As New PlotElementAnimation()

        'Set the style to assign to the PlotElementAnimation 
        Dim style As New Style(GetType(PlotElement))
        style.Setters.Clear()
        style.Setters.Add(New Setter(PlotElement.OpacityProperty, 0.0))
        animation.SymbolStyle = style

        'Set the storyboard to be assigned to the PlotElementAnimation
        Dim storyboard__1 As New Storyboard()
        Dim doubleAnimation As New DoubleAnimation(1.0, New Duration(New TimeSpan(0, 0, 1)))
        Storyboard.SetTargetProperty(doubleAnimation, New PropertyPath(PlotElement.OpacityProperty))
        PlotElementAnimation.SetIndexDelay(doubleAnimation, 0.5)
        storyboard__1.Children.Clear()
        storyboard__1.Children.Add(doubleAnimation)
        animation.Storyboard = storyboard__1

        'Set the object to PlotElementAnimation Data.LoadAnimation property of the Chart control
        chart.Data.LoadAnimation = animation
    End Sub

    Private Sub MainWindow_PlotElementLoaded(sender As Object, e As EventArgs)
        'Specify the plot elements of the story as the target board
        Dim pe As PlotElement = TryCast(sender, PlotElement)
        Dim doubleAnimation = TryCast(chart.Data.LoadAnimation.Storyboard.Children(0), DoubleAnimation)
        If doubleAnimation IsNot Nothing Then
            Storyboard.SetTarget(doubleAnimation, pe)
        End If
    End Sub

End Class
